package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

public class ImportRecipeDishesDto {
   private Integer index;
   private String dishesName;
   @ApiModelProperty("菜品单价")
   private Integer price;
   @ApiModelProperty("供应数量")
   private Integer supplyNum;
   @ApiModelProperty("销售数量")
   private Integer saleNum;
   @ApiModelProperty("剩余数量")
   private Integer surplusNum;
   @ApiModelProperty("个人限购数量")
   private Integer restrictNum;
   @ApiModelProperty("菜品价格(优惠价)")
   private Integer salePrice;

   public Integer getIndex() {
      return this.index;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Integer getSupplyNum() {
      return this.supplyNum;
   }

   public Integer getSaleNum() {
      return this.saleNum;
   }

   public Integer getSurplusNum() {
      return this.surplusNum;
   }

   public Integer getRestrictNum() {
      return this.restrictNum;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public ImportRecipeDishesDto setIndex(final Integer index) {
      this.index = index;
      return this;
   }

   public ImportRecipeDishesDto setDishesName(final String dishesName) {
      this.dishesName = dishesName;
      return this;
   }

   public ImportRecipeDishesDto setPrice(final Integer price) {
      this.price = price;
      return this;
   }

   public ImportRecipeDishesDto setSupplyNum(final Integer supplyNum) {
      this.supplyNum = supplyNum;
      return this;
   }

   public ImportRecipeDishesDto setSaleNum(final Integer saleNum) {
      this.saleNum = saleNum;
      return this;
   }

   public ImportRecipeDishesDto setSurplusNum(final Integer surplusNum) {
      this.surplusNum = surplusNum;
      return this;
   }

   public ImportRecipeDishesDto setRestrictNum(final Integer restrictNum) {
      this.restrictNum = restrictNum;
      return this;
   }

   public ImportRecipeDishesDto setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
      return this;
   }
}
